How do I create a context for OpenGL 4.1?

Questions about Wine on macOS.
Locked
KingofSushi
Newbie
Newbie
Posts: 3
Joined: Thu Jul 23, 2015 6:03 pm

How do I create a context for OpenGL 4.1?

Post by KingofSushi » Mon Sep 14, 2015 7:51 pm

So there are a few games that are only available for Windows that I want to play, but the thing is that when I boot them up, my logs say that the OpenGL version is 2.1, which is too old to support said games. The thing is that my Macbook Pro actually has OpenGL 4.1 on it, so, in theory, it seems that I should be able to play them, but I somehow can't.

I know that I have to create a context for OpenGL 4.1 in order to use it, but almost every Google result I get when I search up instructions for how to do so is for Linux, Ubuntu, or what have you, which is definitely different from what I'm used to, and it doesn't help that this website's page for OpenGL is for Linux users only. Can anyone please let me know how to create a context on a Mac?

doh123
Level 8
Level 8
Posts: 1227
Joined: Tue Jul 14, 2009 1:21 pm

Re: How do I create a context for OpenGL 4.1?

Post by doh123 » Wed Sep 16, 2015 6:40 pm

As far as I know, there is no way to do what you want. Wine has to be coded to do this itself. Wine doesn't ask for anything from OSX, so it just uses its default 2.1, and Wine thinks 2.1 is all it can do.

Locked